#
# spec file for package perl-ldap (Version 0.33)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl perl-Authen-SASL perl-Convert-ASN1 perl-HTML-Parser perl-HTML-Tagset perl-IO-Socket-SSL perl-Net_SSLeay perl-URI perl-XML-Parser perl-libwww-perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           perl-ldap
BuildRequires:  perl-Authen-SASL perl-Convert-ASN1 perl-IO-Socket-SSL perl-XML-Parser
Version:        0.33
Release:        14.2
Provides:       perl_ldp
Obsoletes:      perl_ldp
Requires:       perl-URI perl-XML-Parser perl-Convert-ASN1
Requires:       perl = %{perl_version}
Autoreqprov:    on
Group:          Development/Libraries/Perl
License:        Artistic License
URL:            http://cpan.org/modules/by-module/Net/
Summary:        Client Interface for LDAP Servers
Source:         perl-ldap-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A Client interface for LDAP servers.



Authors:
--------
    <gbarr@pobox.com> (Graham Barr)

%debug_package
%package ssl
Summary:        SSL Extension to perl-ldap
Group:          Development/Libraries/Perl
Requires:       %{name} = %{version} perl-IO-Socket-SSL
Requires:       perl = %{perl_version}
Autoreqprov:    on
Provides:       p_ldaps
Obsoletes:      p_ldaps

%description ssl
A Client interface for LDAP servers.



Authors:
--------
    <gbarr@pobox.com> (Graham Barr)

%prep
%setup -n perl-ldap-%{version}

%build
find contrib -type f | xargs -n 1 sed -i "s@/usr/local/bin/perl@/usr/bin/perl@"
perl Makefile.PL
make
make test

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CREDITS Changes README SIGNATURE TODO contrib
%doc %{_mandir}/man3/Net::LDAP.3pm*
%doc %{_mandir}/man3/Net::LDAPI.3pm*
%doc %{_mandir}/man3/Net::LDAP::*
%doc %{_mandir}/man3/Bundle::Net::LDAP.3pm*
%dir %{perl_vendorlib}/Net
%{perl_vendorlib}/Net/LDAP
%{perl_vendorlib}/Net/LDAP.*
%{perl_vendorlib}/Net/LDAPI.pm
%{perl_vendorlib}/Bundle
%{perl_vendorlib}/LWP
%{perl_vendorarch}/auto/Net/LDAP
/var/adm/perl-modules/%{name}

%files ssl
%defattr(-,root,root)
%doc %{_mandir}/man3/Net::LDAPS.3pm*
%dir %{perl_vendorlib}/Net
%{perl_vendorlib}/Net/LDAPS.pm

%changelog -n perl-ldap
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jul 27 2005 - mt@suse,de
- update to 0.33
- fixed file list to be more exact
* Sun Jun 20 2004 - ro@suse.de
- fix find command in specfile
* Sat Feb 28 2004 - ro@suse.de
- fix requires for /usr/local
* Sun Jan 11 2004 - adrian@suse.de
- build as user
* Fri Aug 22 2003 - mjancar@suse.cz
- require the perl version we build with
* Thu Jul 24 2003 - mjancar@suse.cz
- update to 0.29
* Fri Jul 18 2003 - mjancar@suse.cz
- adapt to perl-5.8.1
- use %%perl_process_packlist
* Mon Jun 16 2003 - mjancar@suse.cz
- update to 0.28
- fix filelist
* Mon May 19 2003 - ro@suse.de
- remove perllocal.pod
* Sat Dec 28 2002 - prehak@suse.cz
- updated to version 0.26
- added perl-Authen-SASL to neededforbuild
* Wed Sep 11 2002 - prehak@suse.cz
- used %%{version} in subpackage's Requires
* Mon Jul 29 2002 - mls@suse.de
- Fixed neededforbuild for perl-5.8.0
* Thu Jul 11 2002 - prehak@suse.cz
- update to version 0.251
- added more documentation and contrib
* Tue Jul 02 2002 - mls@suse.de
- remove race in .packlist generation
* Thu Jan 17 2002 - rvasice@suse.cz
- update to version 0.25
* Tue Aug 14 2001 - rvasice@suse.cz
- update to version 0.24
* Mon Mar 26 2001 - cihlar@suse.cz
- added make test
- fixed neededforbuild
* Tue Nov 14 2000 - cihlar@suse.cz
- renamed perl_ldp -> perl-ldap
  p_ldaps  -> perl-ldap-ssl
- update to version 0.22
- bzipped sources
* Fri Sep 15 2000 - choeger@suse.de
- update to version 0.21
* Tue Aug 29 2000 - cihlar@suse.cz
- splited to perl_ldp and p_ldaps
- removed p_iossl from neededforbuild
* Wed Aug 23 2000 - cihlar@suse.cz
- added p_iossl to Requires and neededforbuild
* Wed Aug 23 2000 - cihlar@suse.cz
- update to version 0.20
- added BuildRoot
- bzipped sources
* Fri Mar 24 2000 - ug@suse.de
- new version 0.14 -> 0.15
* Thu Mar 23 2000 - ug@suse.de
- added to distribution
